OpenSSL 0.9.7d

Dagmar d'Surreal dagmar.wants at nospam.com
Wed Mar 17 18:14:39 PST 2004


On Wed, 2004-03-17 at 14:36, Matthew Burgess wrote:
> On Wed, 17 Mar 2004 14:24:35 -0600
> Dagmar d'Surreal <dagmar.wants at nospam.com> wrote:
> 
> > On Wed, 2004-03-17 at 13:55, Dagmar d'Surreal wrote:
> > > OpenSSL-0.9.7d has been released, which fixes a DoS vulnerability in
> > > 0.9.7c as well as some other fixes.  Notably, the manpages patch
> > > should no longer be necessary.  (Yay simpler instructions)
> > 
> > ...and because I'm an idiot I forgot to also mention that the new
> > version no longer mangles the permissions on /usr/lib/pkgconfig (but
> > it does still make a useless /etc/ssl/lib directory).
> 
> It also still has the deprecated -m486 parameter to gcc which, while
> only being cosmetic, is still mildly annoying!  A simple sed on
> Configure shuts gcc up though.

So are you volunteering to make a patch that adds the new linux-athlon
target to it?  It doesn't always use -m486.  If you look in the
Configure script you'll see there's a number of alternate targets that
can be used aside from linux-elf (the default) with the only difference
between most of them being the architecture optimizations.
-- 
The email address above is phony because my penis is already large enough, kthx. 
              AIM: evilDagmar  Jabber: evilDagmar at jabber.org




More information about the blfs-dev mailing list